<?xml version="1.0" encoding="utf-8" standalone="no"?>
<?taxonomy-version 1.0.0.0?>
<?taxonomy-date 2025-03-19?>
<!--This is a generated XML file-->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xml="http://www.w3.org/XML/1998/namespace">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CostOfMerchandiseSold" xlink:label="loc_ifrs-full_CostOfMerchandiseSold" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CostOfMerchandiseSold" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Cost of merchandise sold</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CostOfMerchandiseSold" xlink:to="label_ifrs-full_CostOfMerchandiseSold" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit" xlink:label="loc_ifrs-full_GrossProfit" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_GrossProfit" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Gross profit</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GrossProfit" xlink:to="label_ifrs-full_GrossProfit" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ResearchAndDevelopmentExpense" xlink:label="loc_ifrs-full_ResearchAndDevelopmentExpense" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_ResearchAndDevelopmentExpense" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Research and development expense</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ResearchAndDevelopmentExpense" xlink:to="label_ifrs-full_ResearchAndDevelopmentExpense" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SalesAndMarketingExpense" xlink:label="loc_ifrs-full_SalesAndMarketingExpense" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_SalesAndMarketingExpense" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Sales and marketing expense</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_SalesAndMarketingExpense" xlink:to="label_ifrs-full_SalesAndMarketingExpense" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GeneralAndAdministrativeExpense" xlink:label="loc_ifrs-full_GeneralAndAdministrativeExpense" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_GeneralAndAdministrativeExpense" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">General and administrative expense</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GeneralAndAdministrativeExpense" xlink:to="label_ifrs-full_GeneralAndAdministrativeExpense" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="loc_ifrs-full_FinanceIncomeCost" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_FinanceIncomeCost" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Finance income (cost)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FinanceIncomeCost" xlink:to="label_ifrs-full_FinanceIncomeCost" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxExpenseContinuingOperations" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Tax expense (income)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:to="label_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInOperatingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Purchase of property, plant and equipment, classified as investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="label_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Purchase of intangible assets, classified as investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:to="label_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Cash flows used in obtaining control of subsidiaries or other businesses, classified as investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:to="label_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Payments of lease liabilities, classified as financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:loc xlink:type="locator" xlink:href="5967007LIEEXZXHNM861-2024-12-31.xsd#Gentian_ComprehensiveIncomeAbstract1" xlink:label="loc_Gentian_ComprehensiveIncomeAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_ComprehensiveIncomeAbstract1" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_ComprehensiveIncomeAbstract1" xlink:to="label_Gentian_ComprehensiveIncomeAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_ComprehensiveIncomeAbstract12" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_ComprehensiveIncomeAbstract1" xlink:to="label_Gentian_ComprehensiveIncomeAbstract12" />
    <link:loc xlink:type="locator" xlink:href="5967007LIEEXZXHNM861-2024-12-31.xsd#Gentian_ProfitLossBeforeTaxAbstract" xlink:label="loc_Gentian_ProfitLossBeforeTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_ProfitLossBeforeTaxAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Profit (loss) before tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_ProfitLossBeforeTaxAbstract" xlink:to="label_Gentian_ProfitLossBeforeTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_ProfitLossBeforeTaxAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit (loss) before tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_ProfitLossBeforeTaxAbstract" xlink:to="label_Gentian_ProfitLossBeforeTaxAbstract2" />
    <link:loc xlink:type="locator" xlink:href="5967007LIEEXZXHNM861-2024-12-31.xsd#Gentian_ProfitLossFromOperatingActivitiesAbstract" xlink:label="loc_Gentian_ProfitLossFromOperatingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_ProfitLossFromOperatingActivitiesAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Profit (loss) from operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_ProfitLossFromOperatingActivitiesAbstract" xlink:to="label_Gentian_ProfitLossFromOperatingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_ProfitLossFromOperatingActivitiesAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit (loss) from operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_ProfitLossFromOperatingActivitiesAbstract" xlink:to="label_Gentian_ProfitLossFromOperatingActivitiesAbstract2" />
    <link:loc xlink:type="locator" xlink:href="5967007LIEEXZXHNM861-2024-12-31.xsd#Gentian_GrossProfitAbstract" xlink:label="loc_Gentian_GrossProfitAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_GrossProfitAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Gross profit</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_GrossProfitAbstract" xlink:to="label_Gentian_GrossProfitAbstract" />
    <link:loc xlink:type="locator" xlink:href="5967007LIEEXZXHNM861-2024-12-31.xsd#Gentian_FinanceIncomeCostAbstract" xlink:label="loc_Gentian_FinanceIncomeCostAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_FinanceIncomeCostAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Finance income (cost)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_FinanceIncomeCostAbstract" xlink:to="label_Gentian_FinanceIncomeCostAbstract" />
    <link:loc xlink:type="locator" xlink:href="5967007LIEEXZXHNM861-2024-12-31.xsd#Gentian_ChangesInCashAndCashEquivalentsAbstract" xlink:label="loc_Gentian_ChangesInCashAndCashEquivalentsAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_ChangesInCashAndCashEquivalentsAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Changes in total cash and cash equivalents</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_ChangesInCashAndCashEquivalentsAbstract" xlink:to="label_Gentian_ChangesInCashAndCashEquivalentsAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_ChangesInCashAndCashEquivalentsAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Changes in cash and cash equivalents</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_ChangesInCashAndCashEquivalentsAbstract" xlink:to="label_Gentian_ChangesInCashAndCashEquivalentsAbstract2" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_ChangesInCashAndCashEquivalentsAbstract3" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel">Changes in cash and cash equivalents at end of period</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_ChangesInCashAndCashEquivalentsAbstract" xlink:to="label_Gentian_ChangesInCashAndCashEquivalentsAbstract3" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_ChangesInCashAndCashEquivalentsAbstract4" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Changes in cash and cash equivalents at beginning of period</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_ChangesInCashAndCashEquivalentsAbstract" xlink:to="label_Gentian_ChangesInCashAndCashEquivalentsAbstract4" />
    <link:loc xlink:type="locator" xlink:href="5967007LIEEXZXHNM861-2024-12-31.xsd#Gentian_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xlink:label="loc_Gentian_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xlink:to="label_Gentian_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" />
    <link:loc xlink:type="locator" xlink:href="5967007LIEEXZXHNM861-2024-12-31.xsd#Gentian_Adjustementsforgainonbargainpurchase" xlink:label="loc_Gentian_Adjustementsforgainonbargainpurchase" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_Adjustementsforgainonbargainpurchase" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">AdjustementsForGainOnBargainPurchase</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_Adjustementsforgainonbargainpurchase" xlink:to="label_Gentian_Adjustementsforgainonbargainpurchase" />
    <link:loc xlink:type="locator" xlink:href="5967007LIEEXZXHNM861-2024-12-31.xsd#Gentian_ChangeInOtherAssetsAndLiabilities" xlink:label="loc_Gentian_ChangeInOtherAssetsAndLiabilities" />
    <link:label xlink:type="resource" xlink:label="label_Gentian_ChangeInOtherAssetsAndLiabilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Change in other assets and liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gentian_ChangeInOtherAssetsAndLiabilities" xlink:to="label_Gentian_ChangeInOtherAssetsAndLiabilities" />
  </link:labelLink>
</link:linkbase>